Skip to main content
GET
Typescript (SDK)

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Query Parameters

domain
string
required

The exact domain to check, e.g. acme.co.

Response

Availability and price

object
enum<string>
required
Available options:
domain_check
domain
string
required
available
boolean
required
reason
string | null
required

Why the domain can't be bought; null when available.

price
integer | null
required

First-year registration price in cents.

renewal_price
integer | null
required

Price of each later year in cents.

currency
string
required